var solution = [ // seznam spravnych reseni otazek
    "Na2O", "SiO2", "SO3",
    "oxid vápenatý", "oxid hlinitý", "oxid fosforečný", "oxid chloristý"
] 

function checkAnswers(button) {
    // vyhledani text. policek v li
    
    var li = button.parentNode; // rodic znacky button
    
    var inputs = li.querySelectorAll("input[type='text']");
    
    //pocitani skore
    var ok = 0; // spravne odpovedi
    var nok = 0; // spatne odpovedi    
    
    for (var i = 0; i < inputs.length; i++) {
        var input = inputs[i]; //aktualni policko
        var val = input.value; // nacteni hodnoty z policka
        val = val.trim(); //orezani mezer ze zacatku a konce retezce
        val = val.replace(/\s+/g, " "); // nahrazeni vicenasobnych mezer jednoduchou
        
        if (val == "") {
            input.className = "";
            continue; // dalsi obratka cyklu
        }
        
        // kontrola spravnosti
        if (val == solution[i]) { // spravna odpoved
            input.className = "correct"; // nastaveni atributu class u policka
            ok = ok + 1; //stejne jako ok++;
        }
        else { // spatna odpoved;
            input.className = "wrong";
            nok++;
        }
    }
    var notAswered = inputs.length - ok - nok; 
    var score = "Správně: " + ok + ", špatně: " + nok + ", nezodpovězeno: " + notAswered;
    
    var scoreDiv = li.querySelector("div.score"); // vyhledani prvku div.score;
    
    scoreDiv.innerHTML = score;
    
}

var solutionRadio = [ //0 - hydroxid, 1 - kyselina
    0, 0, 0, 1, 1, 1, 1
]

function checkRadios(button) {
    
    var li = button.parentNode; // rodicovsky prvek tlacitka
    
    var ok = 0, nok = 0;
    
    var rows = li.querySelectorAll("tr"); //seznam radku v tabulce
    
    for (var i = 0; i < rows.length; i++) {
        var inputs = rows[i].querySelectorAll("input[type='radio']");
        
        for (var j = 0; j < inputs.length; j++) {
            var input = inputs[j]; // aktualni radiobutton
            
            input.className = ""; // smaze predchozi hodnoceni
            
            if (input.checked) {
                if (j == solutionRadio[i]) {
                    input.className = "correct";
                    ok++;
                }
                else {
                    input.className = "wrong";
                    nok++;
                }
            }
            
        }
    }
    
    var notAswered = rows.length - ok - nok; 
    var score = "Správně: " + ok + ", špatně: " + nok + ", nezodpovězeno: " + notAswered;
    
    var scoreDiv = li.querySelector("div.score"); // vyhledani prvku div.score;
    
    scoreDiv.innerHTML = score;
    
}

var solutionDropdowns = [
    "h", "h", "h", "k", "k", "k", "k"
]

function checkDropdowns(button) {
    
    var li = button.parentNode;
    
    var ok = 0, nok = 0;
    
    var rows = li.querySelectorAll("tr");
    for (var i = 0; i < rows.length; i++) {
        
        var row = rows[i] // aktualni radek
        var select = row.querySelector("select"); // roletka v aktualnim radku
        
        row.className = "";
        if (select.value == "none") {
            continue;
        }
        
        if (select.value == solutionDropdowns[i]) {
            row.className = "correct";
            ok++;
        }
        else {
            row.className = "wrong";
            nok++;
        }
    }
    
    var notAswered = rows.length - ok - nok; 
    var score = "Správně: " + ok + ", špatně: " + nok + ", nezodpovězeno: " + notAswered;
    
    var scoreDiv = li.querySelector("div.score"); // vyhledani prvku div.score;
    
    scoreDiv.innerHTML = score;
}




























